Wind River Support Network

HomeDefectsLIN5-19638
Fixed

LIN5-19638 : Security Advisory - linux - CVE-2014-7975

Created: Oct 30, 2014    Updated: Dec 19, 2017
Resolved Date: Nov 16, 2014
Found In Version: 5.0.1.18
Fix Version: 5.0.1.22
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

The do_umount function in fs/namespace.c in the Linux kernel through 3.17 does not require the CAP_SYS_ADMIN capability for do_remount_sb calls that change the root filesystem to read-only, which allows local users to cause a denial of service (loss of writability) by making certain unshare system calls, clearing the / MNT_LOCKED flag, and making an MNT_FORCE umount system call.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-7975

Other Downloads


Live chat
Online